## okular 0.7

=== CMakeLists.txt ===
project(kdegraphics)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

# search packages used by KDE
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(MacroOptionalAddSubdirectory)
if( WIN32 )
find_package( Expat )
endif( WIN32 )

macro_optional_find_package(Blitz)
macro_log_feature(BLITZ_FOUND "Blitz" "A a graphical effect and filter library for KDE4" "http://sourceforge.net/projects/qimageblitz" FALSE "kdesupport" "Required to build kolourpaint.")

#X11_xf86vmode discovery is done by FindX11
macro_log_feature(X11_xf86vmode_FOUND "X11 Video Mode Extension" "An X11 extension providing access to detailed timings of video modes currently in use, and a means to modify them" "http://www.x.org" FALSE "" "X11 xvidmode extensions are needed to build kgamma.")

macro_optional_find_package(Exiv2)
macro_log_feature(EXIV2_FOUND "Exiv2" "A library to access image metadata" "http://www.exiv2.org" FALSE "" "Required to build libkexiv2 and gwenview.")

macro_optional_find_package(JPEG)
macro_log_feature(JPEG_FOUND "JPEG" "A library for reading and writing JPEG image files." "http://www.ijg.org" FALSE "" "Required to build gwenview and also provides support fof PalmDB documents in okular.")

add_definitions (${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${QDBUS_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})


find_package(Gettext)
add_subdirectory(po)
add_subdirectory(cmake)
add_subdirectory(doc)
if(BLITZ_FOUND)
  macro_optional_add_subdirectory(okular)
endif(BLITZ_FOUND)

macro_display_feature_log()

=== doc/CMakeLists.txt ===
add_subdirectory(de)
add_subdirectory(en)
add_subdirectory(it)
add_subdirectory(ja)
add_subdirectory(sv)

=== po/CMakeLists.txt ===
add_subdirectory( ar )
add_subdirectory( be )
add_subdirectory( bg )
add_subdirectory( ca )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( eu )
add_subdirectory( fa )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( fy )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hi )
add_subdirectory( hu )
add_subdirectory( is )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( kk )
add_subdirectory( km )
add_subdirectory( ko )
add_subdirectory( lv )
add_subdirectory( mk )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( ne )
add_subdirectory( nl )
add_subdirectory( nn )
add_subdirectory( pa )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( se )
add_subdirectory( sl )
add_subdirectory( sv )
add_subdirectory( ta )
add_subdirectory( th )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== cmake/modules/CMakeLists.txt ===
# explicitely install the "public" cmake files

set(cmakeFiles
  FindOkular.cmake
)

install(FILES ${cmakeFiles} DESTINATION ${DATA_INSTALL_DIR}/cmake/modules)

=== doc/de/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/de SUBDIR okular)

=== doc/en/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR okular)

=== doc/it/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/it SUBDIR okular)

=== doc/ja/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/ja SUBDIR okular)

=== doc/sv/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/sv SUBDIR okular)

=== okular/generators/CMakeLists.txt ===
include (MacroLogFeature)

set(LIBSPECTRE_MINIMUM_VERSION "0.2")

macro_optional_find_package(Poppler)
macro_log_feature(POPPLER_FOUND "Poppler-Qt4" "A PDF rendering library" "http://poppler.freedesktop.org" FALSE "0.6" "Support for PDF files in okular.")

macro_optional_find_package(LibSpectre)
macro_log_feature(LIBSPECTRE_FOUND "libspectre" "A PostScript rendering library" "http://libspectre.freedesktop.org/wiki/" FALSE "${LIBSPECTRE_MINIMUM_VERSION}" "Support for PS files in okular.")

macro_optional_find_package(CHM)
macro_log_feature(CHM_FOUND "CHM" "A library for dealing with Microsoft ITSS/CHM format files" "http://www.jedrea.com/chmlib" FALSE "" "Support CHM files in okular.")

macro_optional_find_package(DjVuLibre)
macro_log_feature(DJVULIBRE_FOUND "DjVuLibre" "A library for dealing with DjVu formatted files" "http://djvulibre.djvuzone.org" FALSE "3.5.17" "Support for DjVu files in okular.")

macro_optional_find_package(TIFF)
macro_log_feature(TIFF_FOUND "libTIFF" "A library for reading and writing TIFF formatted files," "http://www.remotesensing.org/libtiff" FALSE "" "Support for TIFF files in okular.")

macro_optional_find_package(Freetype)
macro_log_feature(FREETYPE_FOUND "FreeType" "A font rendering engine" "http://www.freetype.org" FALSE "" "Provides freetype font support in the okular DVI generator.")

#we look for JPEG in kdegraphics/CMakeLists.txt
#macro_optional_find_package(JPEG)
#macro_log_feature(JPEG_FOUND "JPEG" "A library for reading and writing JPEG image files." "http://www.ijg.org" FALSE "" "Support fof PalmDB documents in okular.")
macro_optional_find_package(ZLIB)
macro_log_feature(ZLIB_FOUND "zlib" "The zlib library" "http://www.zlib.net" FALSE "" "Support for Plucker files in Okular.")

macro_optional_find_package(EPub)
macro_log_feature(EPUB_FOUND "libepub" "A library for reading EPub documents" "http://sourceforge.net/projects/ebook-tools" FALSE "" "Support for EPub documents in Okular.")

# let's enable the generators properly configured

if(POPPLER_FOUND AND HAVE_POPPLER_0_6)
  add_subdirectory(poppler)
endif(POPPLER_FOUND AND HAVE_POPPLER_0_6)

if(LIBSPECTRE_FOUND)
  add_subdirectory(spectre)
endif(LIBSPECTRE_FOUND)

add_subdirectory( kimgio )

if(CHM_FOUND)
  add_subdirectory( chm )
endif(CHM_FOUND)

if(DJVULIBRE_FOUND)
  add_subdirectory(djvu)
endif(DJVULIBRE_FOUND)

add_subdirectory(dvi)

if(TIFF_FOUND)
  add_subdirectory(tiff)
endif(TIFF_FOUND)

add_subdirectory(xps)

add_subdirectory(ooo)

add_subdirectory(fictionbook)

add_subdirectory(comicbook)

if(JPEG_FOUND AND ZLIB_FOUND)
  add_subdirectory(plucker)
endif(JPEG_FOUND AND ZLIB_FOUND)

if(EPUB_FOUND)
  add_subdirectory(epub)
endif(EPUB_FOUND)

=== okular/shell/CMakeLists.txt ===

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)

# okular

set(okular_SRCS
   main.cpp
   shell.cpp
)


kde4_add_executable(okular ${okular_SRCS})

target_link_libraries(okular  ${KDE4_KPARTS_LIBS} )

install(TARGETS okular ${INSTALL_TARGETS_DEFAULT_ARGS})


# okular shell data files

install( FILES okular.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES shell.rc DESTINATION ${DATA_INSTALL_DIR}/okular )

## okular 4.7.1

=== debian/changelog ===
okular (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 01:17:13 +0200

okular (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 02 Sep 2011 21:34:01 +0530

okular (4:4.7.0-0ubuntu3) oneiric; urgency=low

  * Remove chm related files from okular-extra-backends.install because they
    are no longer built
  * Remove debian/docs since README is no longer provided

 -- Scott Kitterman <scott@kitterman.com>  Wed, 27 Jul 2011 22:07:54 -0400

okular (4:4.7.0-0ubuntu2) oneiric; urgency=low

  * Drop libchm-dev from build-depends (in Universe)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 27 Jul 2011 20:48:49 -0400

okular (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - update libokularcore1.symbols and .install

 -- Romain Perier <romain.perier@gmail.com>  Fri, 22 Jul 2011 21:48:18 +0200

okular (4:4.6.90+repack-0ubuntu1) oneiric; urgency=low

  [ Michał Zając ]
  * New upstream release
  * New packaging after KDE 4.7 split
  * Now uses debhelper 8
  * Added libqca2-dev to Depends
  * Updated symbols

  [ Philip Muškovac ]
  * Repack upstream source to include COPYING.DOC and COPYING.LIB

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 08 Jul 2011 00:38:53 +0200

=== debian/control ===
Source: okular
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Armin Berres <armin+debian@space-based.de>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: cmake,
               debhelper (>= 8.0~),
               kde-sc-dev-latest (>= 4:4.7.1),
               kdelibs5-dev (>= 4:4.6),
               libdjvulibre-dev,
               libepub-dev,
               libpoppler-qt4-dev,
               libqca2-dev,
               libqimageblitz-dev,
               libspectre-dev,
               libtiff4-dev,
               libx11-dev,
               pkg-kde-tools,
               quilt
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular

Package: libokularcore1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the Okular document viewer
 This package contains libraries used by the Okular document viewer.
 .
 This package is part of the KDE graphics module.

Package: okular
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: ghostscript,
          jovie,
          okular-extra-backends (= ${binary:Version}),
          okular-odp-backend,
          poppler-data,
          texlive-binaries,
          unrar
Provides: pdf-viewer, postscript-viewer
Description: universal document viewer
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package provides the document viewer application, plus plugins for a wide
 variety of document formats such as:
  * PostScript (PS)
  * Portable Document Format (PDF)
  * OpenDocument Text (ODT)
  * TeX Device independent file format (DVI)
  * XML Paper Specification (XPS)
  * G3 fax
  * various electronic book formats: ComicBook, FictionBook, MobiPocket, and
    Plucker
 .
 This package is part of the KDE graphics module.

Package: okular-dev
Section: libdevel
Architecture: any
Depends: libokularcore1 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libokularcore1}
Description: development files for the Okular libraries
 This package contains development files for building Okular document format
 backends.
 .
 This package is part of the KDE graphics module.

Package: okular-extra-backends
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: okular
Provides: djvu-viewer
Description: additional document format support for Okular
 These plugins allow Okular to view additional document formats:
  * Tagged Image File Format (TIFF)
  * DjVu scanned page format
  * EPub eBooks
 .
 This package is part of the KDE graphics module.

Package: okular-dbg
Architecture: any
Depends: ${misc:Depends}, okular (= ${binary:Version})
Replaces: kdegraphics-dbg (<= 4.6.90)
Breaks: kdegraphics-dbg (<= 4.6.90)
Description: debugging symbols for the KDE okular module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE okular module

## okular 4.7.2

=== debian/changelog ===
okular (4:4.7.2-1) experimental; urgency=low

  [ Eshat Cakar ]
  * Initial release. Start from the Kubuntu packaging, thanks!
    - Okular can find strings with ligatures (Closes: #632979)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:42:37 -0300

=== debian/control ===
Source: okular
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7),
 libdjvulibre-dev,
 libepub-dev,
 libpoppler-qt4-dev (>= 0.8.0),
 libqca2-dev,
 libqimageblitz-dev,
 libspectre-dev,
 libtiff4-dev,
 libx11-dev,
 libchm-dev,
 libjpeg-dev,
 libfreetype6-dev,
 zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/okular.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/okular.git

Package: libokularcore1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libraries for the Okular document viewer
 This package contains libraries used by the Okular document viewer.
 .
 This package is part of the KDE graphics module.

Package: okular
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: okular-extra-backends (= ${binary:Version}), texlive-binaries, unrar, poppler-data, ghostscript, jovie
Provides: pdf-viewer, postscript-viewer
Description: universal document viewer
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package provides the document viewer application, plus plugins for a wide
 variety of document formats such as:
  * PostScript (PS)
  * Portable Document Format (PDF)
  * OpenDocument Text (ODT)
  * TeX Device independent file format (DVI)
  * XML Paper Specification (XPS)
  * G3 fax
  * various electronic book formats: ComicBook, FictionBook, and Plucker
 .
 This package is part of the KDE graphics module.

Package: okular-dev
Section: libdevel
Architecture: any
Depends: libokularcore1 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libokularcore1}
Description: development files for the Okular libraries
 This package contains development files for building Okular document format
 backends.
 .
 This package is part of the KDE graphics module.

Package: okular-extra-backends
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: okular
Provides: djvu-viewer
Description: additional document format support for Okular
 These plugins allow Okular to view additional document formats:
  * Microsoft Compiled HTML Help (CHM)
  * Tagged Image File Format (TIFF)
  * DjVu scanned page format
  * EPub eBooks
 .
 This package is part of the KDE graphics module.

Package: okular-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, okular (= ${binary:Version})
Replaces: kdegraphics-dbg (<= 4.6.90)
Breaks: kdegraphics-dbg (<= 4.6.90)
Description: debugging symbols for okular
 This package contains debugging files used to investigate problems with
 binaries included in the KDE okular document viewer

## okular 4.7.4

=== debian/changelog ===
okular (4:4.7.4-0ubuntu0.1) oneiric-proposed; urgency=low

  * New upstream bugfix release (LP: #913928)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Jan 2012 11:59:48 -0500

okular (4:4.7.3-0ubuntu0.1) oneiric-proposed; urgency=low

  [ Rohan Garg ]
  * New  upstream bugfix release (LP: #901975)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 08 Dec 2011 22:42:17 -0500

okular (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #872506)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 03 Oct 2011 14:19:35 +0200

=== debian/control ===
Source: okular
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Armin Berres <armin+debian@space-based.de>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: cmake,
               debhelper (>= 8.0~),
               kde-sc-dev-latest (>= 4:4.7.4),
               kdelibs5-dev (>= 4:4.6),
               libdjvulibre-dev,
               libepub-dev,
               libpoppler-qt4-dev,
               libqca2-dev,
               libqimageblitz-dev,
               libspectre-dev,
               libtiff4-dev,
               libx11-dev,
               pkg-kde-tools,
               quilt
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular

Package: libokularcore1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the Okular document viewer
 This package contains libraries used by the Okular document viewer.
 .
 This package is part of the KDE graphics module.

Package: okular
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: ghostscript,
          jovie,
          okular-extra-backends (= ${binary:Version}),
          okular-odp-backend,
          poppler-data,
          texlive-binaries,
          unrar
Provides: pdf-viewer, postscript-viewer
Description: universal document viewer
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package provides the document viewer application, plus plugins for a wide
 variety of document formats such as:
  * PostScript (PS)
  * Portable Document Format (PDF)
  * OpenDocument Text (ODT)
  * TeX Device independent file format (DVI)
  * XML Paper Specification (XPS)
  * G3 fax
  * various electronic book formats: ComicBook, FictionBook, MobiPocket, and
    Plucker
 .
 This package is part of the KDE graphics module.

Package: okular-dev
Section: libdevel
Architecture: any
Depends: libokularcore1 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libokularcore1}
Description: development files for the Okular libraries
 This package contains development files for building Okular document format
 backends.
 .
 This package is part of the KDE graphics module.

Package: okular-extra-backends
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: okular
Provides: djvu-viewer
Description: additional document format support for Okular
 These plugins allow Okular to view additional document formats:
  * Tagged Image File Format (TIFF)
  * DjVu scanned page format
  * EPub eBooks
 .
 This package is part of the KDE graphics module.

Package: okular-dbg
Architecture: any
Depends: ${misc:Depends}, okular (= ${binary:Version})
Replaces: kdegraphics-dbg (<= 4.6.90)
Breaks: kdegraphics-dbg (<= 4.6.90)
Description: debugging symbols for the KDE okular module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE okular module

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_shlibdeps:
	        $(overridden_command) $(foreach p,$(shell dh_listpackages | grep ^lib),-p$p) -- -xkde-runtime
	        $(overridden_command) --remaining-packages

override_dh_strip:
	        $(overridden_command) --dbg-package=okular-dbg

## okular 4.8.2

=== debian/changelog ===
okular (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 30 Mar 2012 20:30:00 +0200

okular (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Sat, 03 Mar 2012 09:46:23 +0100

okular (4:4.8.0-0ubuntu1~ppa1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:21 +0000

okular (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:14:56 +0000

okular (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate
  * Enable DebianABIManager and bump ABI of libokularcore1

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 23 Dec 2011 22:53:33 +0100

okular (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Dec 2011 13:28:07 +0000

okular (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian, remaining change:
   - Do not build-dep on libchm-dev, not in main
   - Remove chm and msits files from okular-extra-backends.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 Nov 2011 22:03:32 +0000

okular (4:4.7.2-0r1) UNRELEASED; urgency=low

  * Initial release. Start from the Kubuntu packaging, thanks!
    - Okular can find strings with ligatures (Closes: #632979)

 -- Eshat Cakar <info@eshat.de>  Sun, 30 Oct 2011 19:13:29 +0100

=== debian/control ===
Source: okular
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7),
 libdjvulibre-dev,
 libepub-dev,
 libpoppler-qt4-dev (>= 0.8.0),
 libqca2-dev,
 libqimageblitz-dev,
 libspectre-dev,
 libtiff4-dev,
 libx11-dev,
 libjpeg-dev,
 libfreetype6-dev,
 zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/okular.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/okular.git

Package: libokularcore1abi1
X-Debian-ABI: 1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libraries for the Okular document viewer
 This package contains libraries used by the Okular document viewer.
 .
 This package is part of the KDE graphics module.

Package: okular
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: okular-extra-backends (= ${binary:Version}), texlive-binaries, unrar, poppler-data, ghostscript, jovie
Provides: pdf-viewer, postscript-viewer
Description: universal document viewer
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package provides the document viewer application, plus plugins for a wide
 variety of document formats such as:
  * PostScript (PS)
  * Portable Document Format (PDF)
  * OpenDocument Text (ODT)
  * TeX Device independent file format (DVI)
  * XML Paper Specification (XPS)
  * G3 fax
  * various electronic book formats: ComicBook, FictionBook, and Plucker
 .
 This package is part of the KDE graphics module.

Package: okular-dev
Section: libdevel
Architecture: any
Depends: libokularcore1abi1 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libokularcore1abi1}
Description: development files for the Okular libraries
 This package contains development files for building Okular document format
 backends.
 .
 This package is part of the KDE graphics module.

Package: okular-extra-backends
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: okular
Provides: djvu-viewer
Description: additional document format support for Okular
 These plugins allow Okular to view additional document formats:
  * Microsoft Compiled HTML Help (CHM)
  * Tagged Image File Format (TIFF)
  * DjVu scanned page format
  * EPub eBooks
 .
 This package is part of the KDE graphics module.

Package: okular-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, okular (= ${binary:Version})
Replaces: kdegraphics-dbg (<= 4.6.90)
Breaks: kdegraphics-dbg (<= 4.6.90)
Description: debugging symbols for okular
 This package contains debugging files used to investigate problems with
 binaries included in the KDE okular document viewer

## okular 4.8.4

=== debian/changelog ===
okular (4:4.8.4-3) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Force okular to depend on the same version of libokularcore, as it uses
    internal API of it.
  * Make libokularcore break okular < 4.8, as with 4.8 a private symbol used
    by the okularpart has been dropped.
  * The two changes above will make sure to avoid different versions of
    libokularcore and okular at the same time. (Closes: #680946)
  * Backport upstream commit edbb4ef9f5aa8f120558b9d4f4b9f68970100c4b to fix
    the extraction of the page bounding box, used by the trimming function;
    patch upstream_Call-Generator-signalPixmapRequestDone-_after_-savin.patch.
    (Closes: #686642)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Backport upstream commit 91e46331fd7901705a69323c75de84e2467416dd to restore
    word detection in DVI documents. Thanks Luigi Toscano.
  * Backport upstream commit 823a84942df4d3604b041ef7878a9984b1f12b7f to avoid
    a crash with broken fonts. Thanks Luigi Toscano.

 -- Pino Toscano <pino@debian.org>  Wed, 28 Nov 2012 17:33:56 +0100

okular (4:4.8.4-2) unstable; urgency=low

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Updated symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 20 Jun 2012 14:37:44 -0300

okular (4:4.8.4-1) unstable; urgency=low

  * Team upload
  * New upstream release.
  * Update symbols for libokularcore1.

  [ Eshat Cakar ]
  * Bump kde-sc-dev-latest build dependency to 4.8.4.
  * Bump kdelibs5-dev build dependency to 4.8.
  * Bump Standards-Version to 3.9.3. No further changes.
  * Add watch file.
  * Update installed files.

 -- Sune Vuorela <sune@debian.org>  Sun, 17 Jun 2012 01:10:33 +0200

okular (4:4.7.4-2) unstable; urgency=low

  * Team upload.

  [ José Manuel Santamaría Lema ]
  * Confirm symbols files on all architectures.

  [ Pino Toscano ]
  * Explicitly build depend on pkg-config, to not rely being implicitly
    installed by other packages.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 06 Mar 2012 15:30:57 +0100

okular (4:4.7.4-1) experimental; urgency=low

  * New upstream release

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4.7.4.
  * Remove upstream_cmake-reenable-the-search-of-the-JPEG-library.patch, merged
    upstream.
  * Confirm symbols files on more architectures with 4.7.2 build logs.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 00:57:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: okular
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7),
+ kdelibs5-dev (>= 4:4.8),
+ pkg-config,
  libdjvulibre-dev,
  libepub-dev,
  libpoppler-qt4-dev (>= 0.8.0),
@@ -16,21 +16,20 @@
  libspectre-dev,
  libtiff4-dev,
  libx11-dev,
+ libchm-dev,
  libjpeg-dev,
  libfreetype6-dev,
  zlib1g-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular
-X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/okular.git
-X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/okular.git
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/okular.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/okular.git
 
-Package: libokularcore1abi1
-X-Debian-ABI: 1
+Package: libokularcore1
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: okular (<< 4:4.8)
 Description: libraries for the Okular document viewer
  This package contains libraries used by the Okular document viewer.
  .
@@ -39,7 +38,7 @@
 Package: okular
 Section: graphics
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libokularcore1 (= ${binary:Version})
 Suggests: okular-extra-backends (= ${binary:Version}), texlive-binaries, unrar, poppler-data, ghostscript, jovie
 Provides: pdf-viewer, postscript-viewer
 Description: universal document viewer
@@ -61,8 +60,8 @@
 Package: okular-dev
 Section: libdevel
 Architecture: any
-Depends: libokularcore1abi1 (= ${binary:Version}), ${misc:Depends},
- ${sameVersionDep:kdelibs5-dev:libokularcore1abi1}
+Depends: libokularcore1 (= ${binary:Version}), ${misc:Depends},
+ ${sameVersionDep:kdelibs5-dev:libokularcore1}
 Description: development files for the Okular libraries
  This package contains development files for building Okular document format
  backends.

## okular 4.8.5

=== shell/CMakeLists.txt ===

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)

# okular

set(okular_SRCS
   main.cpp
   shell.cpp
   shellutils.cpp
)

kde4_add_app_icon(okular_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../ui/data/icons/hi*-apps-okular.png")

kde4_add_executable(okular ${okular_SRCS})

target_link_libraries(okular  ${KDE4_KPARTS_LIBS} )

install(TARGETS okular ${INSTALL_TARGETS_DEFAULT_ARGS})


# okular shell data files

install( PROGRAMS okular.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES shell.rc DESTINATION ${DATA_INSTALL_DIR}/okular )

=== generators/dvi/CMakeLists.txt ===
include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
   ${CMAKE_BINARY_DIR}/okular
)

#add_definitions(-DDEBUG_DVIRENDERER -DDEBUG_RENDER -DDEBUG_PRESCAN -DDEBUG_PSGS -DDEBUG_FONTPOOL)

if (FREETYPE_FOUND)
   add_definitions(-DHAVE_FREETYPE)
   include_directories(${FREETYPE_INCLUDE_DIR})
else (FREETYPE_FOUND)
   remove_definitions(-DHAVE_FREETYPE)
endif (FREETYPE_FOUND)

########### next target ###############

set(okularGenerator_dvi_SRCS
   generator_dvi.cpp
   bigEndianByteReader.cpp
   dviRenderer.cpp
   dviRenderer_draw.cpp
   dviRenderer_prescan.cpp
   dviRenderer_dr.cpp
   special.cpp
   dviFile.cpp
   dviPageInfo.cpp
   psgs.cpp
#   psheader.cpp        # already included in psgs.cpp
   glyph.cpp
   TeXFont.cpp
   TeXFontDefinition.cpp
   vf.cpp
   TeXFont_PFB.cpp
   TeXFont_PK.cpp
   TeXFont_TFM.cpp
   util.cpp
   pageSize.cpp
   simplePageSize.cpp
   length.cpp
   fontEncoding.cpp
   fontEncodingPool.cpp
   fontMap.cpp
   fontpool.cpp
   fontprogress.cpp
   dvisourcesplitter.cpp
   dviexport.cpp
)


kde4_add_plugin(okularGenerator_dvi ${okularGenerator_dvi_SRCS})

target_link_libraries(okularGenerator_dvi okularcore ${KDE4_KIO_LIBS} ${MATH_LIB})
if (FREETYPE_FOUND)
   target_link_libraries(okularGenerator_dvi ${FREETYPE_LIBRARIES})
endif (FREETYPE_FOUND)

install(TARGETS okularGenerator_dvi DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES libokularGenerator_dvi.desktop okularDvi.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( PROGRAMS okularApplication_dvi.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )

=== debian/changelog ===
okular (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:54:24 +0200

okular (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1007798) 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 23 Jun 2012 22:43:06 +0200

okular (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Mon, 30 Apr 2012 23:25:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: okular
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8),
- pkg-config,
+ kdelibs5-dev (>= 4:4.7),
  libdjvulibre-dev,
  libepub-dev,
  libpoppler-qt4-dev (>= 0.8.0),
@@ -16,20 +16,21 @@
  libspectre-dev,
  libtiff4-dev,
  libx11-dev,
- libchm-dev,
  libjpeg-dev,
  libfreetype6-dev,
  zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/okular.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/okular.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular
+X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/okular.git
+X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/okular.git
 
-Package: libokularcore1
+Package: libokularcore1abi1
+X-Debian-ABI: 1
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: okular (<< 4:4.8)
 Description: libraries for the Okular document viewer
  This package contains libraries used by the Okular document viewer.
  .
@@ -38,7 +39,7 @@
 Package: okular
 Section: graphics
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libokularcore1 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: okular-extra-backends (= ${binary:Version}), texlive-binaries, unrar, poppler-data, ghostscript, jovie
 Provides: pdf-viewer, postscript-viewer
 Description: universal document viewer
@@ -60,8 +61,8 @@
 Package: okular-dev
 Section: libdevel
 Architecture: any
-Depends: libokularcore1 (= ${binary:Version}), ${misc:Depends},
- ${sameVersionDep:kdelibs5-dev:libokularcore1}
+Depends: libokularcore1abi1 (= ${binary:Version}), ${misc:Depends},
+ ${sameVersionDep:kdelibs5-dev:libokularcore1abi1}
 Description: development files for the Okular libraries
  This package contains development files for building Okular document format
  backends.

## okular 4.9.2

=== debian/changelog ===
okular (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:36:58 +0100

okular (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 04 Sep 2012 15:25:22 +0530

okular (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Provide CHM support in okular-extra-backends - now that okular is in
    Universe (LP: #948223)
    - debian/control: Add libchm-dev to build-depends
    - debian/okular-extra-backends.install: Add chm related files

 -- Scott Kitterman <scott@kitterman.com>  Fri, 03 Aug 2012 00:15:50 -0400

okular (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * Build-dep on libtiff5-dev instead of 4
  * Update files in okular.install
  * Build-dep on pkg-config
  * Update symbols file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:43:27 +0100

okular (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 16:14:25 +0200

okular (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Refresh symbol files

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Fri, 25 May 2012 22:32:00 +0200

okular (4:4.8.3-0ubuntu2) quantal; urgency=low

  * Refresh symbol files for remaining architectures

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 15 May 2012 20:32:48 +0200

okular (4:4.8.3-0ubuntu1) quantal; urgency=low

  [ Jonathan Kolberg ]
  * New upstream release

  [ Philip Muškovac ]
  * Update symbol files for gcc 4.7 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 13 May 2012 19:52:01 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7),
+Build-Depends: 
+ pkg-config, cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
+ kdelibs5-dev (>= 4:4.9.2),
  libdjvulibre-dev,
  libepub-dev,
  libpoppler-qt4-dev (>= 0.8.0),
  libqca2-dev,
  libqimageblitz-dev,
  libspectre-dev,
- libtiff4-dev,
+ libtiff5-dev,
  libx11-dev,
+ libchm-dev,
  libjpeg-dev,
  libfreetype6-dev,
  zlib1g-dev

## okular 4.9.4

=== debian/changelog ===
okular (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 01:02:38 +0100

okular (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:41:37 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  pkg-config, cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.9.4),
  libdjvulibre-dev,
  libepub-dev,
  libpoppler-qt4-dev (>= 0.8.0),

## okular 4.9.5

=== debian/changelog ===
okular (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:43:59 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  pkg-config, cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.4),
+ kdelibs5-dev (>= 4:4.9.5),
  libdjvulibre-dev,
  libepub-dev,
  libpoppler-qt4-dev (>= 0.8.0),

## okular 4.10.0

=== debian/changelog ===
okular (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:11:34 +0000

okular (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:06:16 +0000

okular (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:46:12 +0100

okular (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release
  * Install manpage

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:44:00 +0000

okular (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:13:19 +0000

okular (4:4.9.80-0ubuntu2) raring; urgency=low

  * Update symbols file for armhf

 -- Scott Kitterman <scott@kitterman.com>  Thu, 22 Nov 2012 10:48:36 -0500

okular (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Scott Kitterman ]
  * Add libkactivities-dev to build-depends
  * Rename libokularcore1abi1 to libokularcore2abi1 to match soname change and
    rename .install and .symbols files

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 Nov 2012 15:28:09 -0500

okular (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:45:18 +0100

okular (4:4.7.2-0r1) raring; urgency=low

  * Initial release. Start from the Kubuntu packaging, thanks!
    - Okular can find strings with ligatures (Closes: #632979)

 -- Eshat Cakar <info@eshat.de>  Sun, 30 Oct 2011 19:13:29 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  pkg-config, cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.5),
+ kdelibs5-dev (>= 4:4.10.0),
  libdjvulibre-dev,
  libepub-dev,
+ libkactivities-dev (>= 4:4.10.0),
  libpoppler-qt4-dev (>= 0.8.0),
  libqca2-dev,
  libqimageblitz-dev,
@@ -27,7 +28,7 @@
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/okular.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/okular.git
 
-Package: libokularcore1abi1
+Package: libokularcore2abi1
 X-Debian-ABI: 1
 Section: libs
 Architecture: any
@@ -62,8 +63,8 @@
 Package: okular-dev
 Section: libdevel
 Architecture: any
-Depends: libokularcore1abi1 (= ${binary:Version}), ${misc:Depends},
- ${sameVersionDep:kdelibs5-dev:libokularcore1abi1}
+Depends: libokularcore2abi1 (= ${binary:Version}), ${misc:Depends},
+ ${sameVersionDep:kdelibs5-dev:libokularcore2abi1}
 Description: development files for the Okular libraries
  This package contains development files for building Okular document format
  backends.

## okular 4.10.2

=== debian/changelog ===
okular (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:00:37 +0200

okular (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:45:49 +0000

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  pkg-config, cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0),
+ kdelibs5-dev (>= 4:4.10.2),
  libdjvulibre-dev,
  libepub-dev,
- libkactivities-dev (>= 4:4.10.0),
+ libkactivities-dev (>= 4:4.10.2),
  libpoppler-qt4-dev (>= 0.8.0),
  libqca2-dev,
  libqimageblitz-dev,

## okular 4.10.5

=== debian/changelog ===
okular (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:47:24 +0200

okular (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:37:41 +0200

okular (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:18:39 +0200

okular (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:00:37 +0200

okular (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:45:49 +0000

okular (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:11:34 +0000

okular (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:06:16 +0000

okular (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:46:12 +0100

okular (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  * New upstream RC release
  * Install manpage

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:44:00 +0000

okular (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:13:19 +0000

okular (4:4.9.80-0ubuntu2) raring-proposed; urgency=low

  * Update symbols file for armhf

 -- Scott Kitterman <scott@kitterman.com>  Thu, 22 Nov 2012 10:48:36 -0500

okular (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Scott Kitterman ]
  * Add libkactivities-dev to build-depends
  * Rename libokularcore1abi1 to libokularcore2abi1 to match soname change and
    rename .install and .symbols files

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 Nov 2012 15:28:09 -0500

okular (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:45:18 +0100

okular (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:21 +0000

okular (4:4.7.2-0r1) raring-proposed; urgency=low

  * Initial release. Start from the Kubuntu packaging, thanks!
    - Okular can find strings with ligatures (Closes: #632979)

 -- Eshat Cakar <info@eshat.de>  Sun, 30 Oct 2011 19:13:29 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  pkg-config, cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2),
+ kdelibs5-dev (>= 4:4.10.5),
  libdjvulibre-dev,
  libepub-dev,
- libkactivities-dev (>= 4:4.10.2),
+ libkactivities-dev (>= 4:4.10.5),
  libpoppler-qt4-dev (>= 0.8.0),
  libqca2-dev,
  libqimageblitz-dev,
